petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsSetFromOptions

Sets options related to the handling of options in PETSc

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsSetFromOptions(PetscOptions options)

Collective on PETSC_COMM_WORLD

### Input Parameter

options -options database, use NULL for default global database

### Options Database Keys

| -options_monitor <optional filename> | - prints the names and values of all runtime options as they are set. The monitor functionality is not available for options set through a file, environment variable, or on the command line. Only options set after PetscInitialize() completes will be monitored.
| -options_monitor_cancel | - cancel all options database monitors

### Notes

To see all options, run your program with the -help option or consult Users-Manual: Introduction

### Keywords

set, options, database

### Level

intermediate

### Location

src/sys/objects/options.c

### Examples

src/snes/examples/tutorials/ex22.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages